package ru.dbotthepony.mc.otm.shapes;

public record Rectangle(Point a, Point b, Point c, Point d) {
	public Rectangle rotate(double rad) {
		return new Rectangle(a.rotate(rad), b.rotate(rad), c.rotate(rad), d.rotate(rad));
	}

	public Rectangle translate(double x, double y) {
		return new Rectangle(a.translate(x, y), b.translate(x, y), c.translate(x, y), d.translate(x, y));
	}
}
