package ru.dbotthepony.mc.otm.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.menu.PatternStorageMenu;
import ru.dbotthepony.mc.otm.menu.widget.GaugeWidget;
import ru.dbotthepony.mc.otm.screen.panels.*;

import javax.annotation.Nullable;
import java.util.List;

public class PatternStorageScreen extends MatteryScreen<PatternStorageMenu> implements MatteryScreen.IMatteryScreenGaugeGetter, MatteryScreen.IMatteryScreenGridBased {
	public PatternStorageScreen(PatternStorageMenu p_97741_, Inventory p_97742_, Component p_97743_) {
		super(p_97741_, p_97742_, p_97743_);
	}

	@Override
	public List<GaugeWidget> getGauges() {
		return List.of(menu.stored_this, menu.stored_grid);
	}

	@Override
	public void createGridPanels(FlexGridPanel grid) {
		for (var slot : menu.pattern_slots) {
			new SlotPanel<>(this, grid, 0, 0, slot).setDockMargin(1, 1, 1, 1);
		}
	}
}
